核心Adobe Commerce支付集成已弃用

由于支付服务指令PSD2(参见支付服务指令的 支付服务指令 随着许多API的不断发展,许多Adobe Commerce核心支付集成可能会变得过时,并且在未来不再符合安全性。 为此,许多核心支付集成已经或即将弃用,我们建议迁移到相应的Commerce Marketplace扩展。 请阅读以下文章的其余部分,以查看最近弃用的支付集成。 每个 状态 相关链接可在我们的用户指南中找到。 以下集成将从Adobe Commerce的2.4.0版本中全部删除,已在2.3版本中弃用。

支付方式集成
状态
Adobe Commerce 2.X推荐
Worldpay
2.3.x - 自2.3.5起已弃用
2.4.0 — 将被完全删除
询问您的支付提供商他们建议采用哪种解决方案来符合PSD2的要求。
Authorize.net
2.3.x - 自2.3.4起已弃用
2.4.0 — 将被完全删除
使用 正式延期 来自Commerce Marketplace。
Authorize.net (直邮)
2.3.x - 自2.3.1起已弃用
2.4.0 — 将被完全删除
使用 正式延期 来自Commerce Marketplace。
网络资源
2.3.x - 自2.3.3起已弃用
2.4.0 — 将被完全删除
使用 正式延期 来自Commerce Marketplace。
eWay
2.3.x - 自2.3.3起已弃用
2.4.0 — 将被完全删除
询问您的支付提供商他们建议采用哪种解决方案来符合PSD2的要求。

请注意,PayPal核心支付方法集成不会被弃用或删除,并且所有2.3.x和2.4.x版本仍支持这种集成。

如何保持贵机构在支付过程中的安全

对于仍在使用已弃用支付集成的所有Adobe Commerce和Magento Open Source部署,请按照以下建议操作,以确保客户的支付安全、不会拒绝支付,并准备升级到Adobe Commerce 2.4.0:

  • 从安装和配置官方支付方式扩展 Commerce Marketplace 如上表所述。
  • 在Admin中禁用已弃用的付款集成(设置 已启用 配置选项到 )以使其不再作为付款选项显示在您的店面上。 请确保所有新订单都改为通过扩展集成进行支付。
  • 由于来自Commerce Marketplace的新集成将无法处理通过使用已弃用的支付集成进行的支付交易,我们建议在某个并行时段同时使用这两种支付方法;但仅用于完成已过帐的交易和可能的退款。 要实现此目的,请保持禁用已弃用的支付方式,但保留所有配置字段。
recommendation-more-help
8bd06ef0-b3d5-4137-b74e-d7b00485808a